net.i2p.router.transport.udp

## Class OutboundRefiller

- java.lang.Object
- - net.i2p.router.transport.udp.OutboundRefiller

All Implemented Interfaces:
  Runnable

     class OutboundRefiller
    extends Object
    implements Runnable

Blocking thread to grab new messages off the outbound queue and plopping them into our active pool. WARNING - UNUSED since 0.6.1.11

### Constructor Summary

Constructors
Constructor and Description
`OutboundRefiller(RouterContext ctx, OutboundMessageFragments fragments, MessageQueue messages)`

### Method Summary

Methods
`void` `run()`
`void` `shutdown()`
`void` `startup()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OutboundRefiller

    public OutboundRefiller(RouterContext ctx,
                    OutboundMessageFragments fragments,
                    MessageQueue messages)

### Method Detail

#### startup

    public void startup()

#### shutdown

    public void shutdown()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`